Omniverse Launcher won't start after authorization

Hello,
I have issues to open my Omniverse Launcher since today. Before today it worked fine, but today i could not enter the omniverse launcher after successfully authorizing my account. I actually could launch a python file with isaac sim, but i am not able to start the launcher and hence the isaac sim application through the launcher.

I have scrolled through some topics regarding this issue, but i couldn’t find anything helpful.

I am using ubuntu 22.04.4 LTS.

I tried to use the launcher-cleanup tool for a clean reinstallation but i got this weird output:

sudo ./launcher-cleanup
Error: Could not find a part of the path ‘/root/.nvidia-omniverse/config/omniverse.toml’.

Omniverse Launcher Cleanup Tool
This tool will clean up an existing Omniverse Launcher installation
and put it back to a clean slate as if it was just installed.
All download apps, connectors, and collaborations including Cache
and System Monitor will be completely removed.

Warning: The following will be removed:

This will not remove any Data that has been saved in Nucleus,
the Data folder is preserved.

Continue? [y/n]: y

Do you want to keep your Project Data? (Recommended)
WARNING:
Entering ‘n’ will remove ALL Project Data that has been
saved into Nucleus. This is permanent.
Keep Data? [y/n]: n
Stopping NVIDIA Omniverse Launcher
System Monitor not found, stopping known names.
[9540:9540:0305/170104.111258:ERROR:zygote_host_impl_linux.cc(100)] Running as root without --no-sandbox is not supported. See https://crbug.com/638180.
mkdir: cannot create directory ‘/run/user/0’: Permission denied
Authorization required, but no authorization protocol specified
Error: cannot open display: :1
/usr/bin/xdg-open: 882: iceweasel: not found
/usr/bin/xdg-open: 882: seamonkey: not found
/usr/bin/xdg-open: 882: mozilla: not found
/usr/bin/xdg-open: 882: epiphany: not found
/usr/bin/xdg-open: 882: konqueror: not found
/usr/bin/xdg-open: 882: chromium: not found
/usr/bin/xdg-open: 882: chromium-browser: not found
[9747:9747:0305/170104.290605:ERROR:zygote_host_impl_linux.cc(100)] Running as root without --no-sandbox is not supported. See https://crbug.com/638180.
/usr/bin/xdg-open: 882: www-browser: not found
/usr/bin/xdg-open: 882: links2: not found
/usr/bin/xdg-open: 882: elinks: not found
/usr/bin/xdg-open: 882: links: not found
/usr/bin/xdg-open: 882: lynx: not found
/usr/bin/xdg-open: 882: w3m: not found
xdg-open: no method available for opening ‘omniverse-launcher://exit’
Launcher library file not found: /root/.config/omniverse-launcher/data/library.json
Launcher library file not found: /root/.config/omniverse-launcher/data/integration/library.json

Done. Press enter to close.

After that, i tried to download the newest version of the omniverse-launcher-linux.appImage and tried to run that.
It resulted in the same issue, i am writing this topic for. It asked for my account credentials, forwarded me to the launcher and then just did not stop loading…

this is a snippet from the auth logs of the omniverse launcher hope this helps in any way:

Info:
Discovery URI: ws://127.0.0.1:3333
Transport settings: {‘name’: ‘sows’, ‘params’: ‘{“host”: “127.0.0.1”, “port”: 3100}’, ‘meta’: {‘marshaller’: ‘bs’, ‘serializer’: ‘json’, ‘ssl’: ‘false’}}
Meta: {‘deployment’: ‘external’, ‘version’: ‘1.5.2’, ‘login_url’: ‘http://*:3180’}
Traceback (most recent call last):
File “omni/discovery/init.py”, line 80, in register
ConnectionError: Failed to connect to the discovery service ws://127.0.0.1:3333
2024-03-05 16:55:11,909 | Failed to connect to the discovery service using port-based routing (ws://127.0.0.1:3333).
Traceback (most recent call last):
File “idl/connection/transport/ws.py”, line 344, in prepare
File “websockets/legacy/client.py”, line 659, in await_impl_timeout
File “asyncio/tasks.py”, line 445, in wait_for
File “websockets/legacy/client.py”, line 663, in await_impl
File “asyncio/base_events.py”, line 1076, in create_connection
File “asyncio/base_events.py”, line 1060, in create_connection
File “asyncio/base_events.py”, line 969, in _connect_sock
File “asyncio/selector_events.py”, line 501, in sock_connect
File “asyncio/selector_events.py”, line 541, in _sock_connect_cb
ConnectionRefusedError: [Errno 111] Connect call failed (‘127.0.0.1’, 3333)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “omni/discovery/init.py”, line 349, in create_port_based_client
File “idl/connection/transport/ws.py”, line 358, in prepare
idl.connection.transport.TransportError: [Errno 111] Connect call failed (‘127.0.0.1’, 3333)
2024-03-05 16:55:11,909 | Failed to connect to the discovery service using port-based routing (ws://127.0.0.1:3333).
Traceback (most recent call last):
File “idl/connection/transport/ws.py”, line 344, in prepare
File “websockets/legacy/client.py”, line 659, in await_impl_timeout
File “asyncio/tasks.py”, line 445, in wait_for
File “websockets/legacy/client.py”, line 663, in await_impl
File “asyncio/base_events.py”, line 1076, in create_connection
File “asyncio/base_events.py”, line 1060, in create_connection
File “asyncio/base_events.py”, line 969, in _connect_sock
File “asyncio/selector_events.py”, line 501, in sock_connect
File “asyncio/selector_events.py”, line 541, in _sock_connect_cb
ConnectionRefusedError: [Errno 111] Connect call failed (‘127.0.0.1’, 3333)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “omni/discovery/init.py”, line 349, in create_port_based_client
File “idl/connection/transport/ws.py”, line 358, in prepare
idl.connection.transport.TransportError: [Errno 111] Connect call failed (‘127.0.0.1’, 3333)
2024-03-05 16:55:11,910 | An error has occurred while registering the service in the discovery.
Info:
Discovery URI: ws://127.0.0.1:3333
Transport settings: {‘name’: ‘sows’, ‘params’: ‘{“host”: “127.0.0.1”, “port”: 3100}’, ‘meta’: {‘marshaller’: ‘bs’, ‘serializer’: ‘json’, ‘ssl’: ‘false’}}
Meta: {‘deployment’: ‘internal’, ‘version’: ‘1.5.2’, ‘login_url’: ‘http://:3180’}
Traceback (most recent call last):
File “omni/discovery/init.py”, line 80, in register
ConnectionError: Failed to connect to the discovery service ws://127.0.0.1:3333
2024-03-05 16:55:11,910 | An error has occurred while registering the service in the discovery.
Info:
Discovery URI: ws://127.0.0.1:3333
Transport settings: {‘name’: ‘sows’, ‘params’: ‘{“host”: “127.0.0.1”, “port”: 3100}’, ‘meta’: {‘marshaller’: ‘bs’, ‘serializer’: ‘json’, ‘ssl’: ‘false’}}
Meta: {‘deployment’: ‘external’, ‘version’: ‘1.5.2’, ‘login_url’: 'http://
:3180’}
Traceback (most recent call last):
File “omni/discovery/init.py”, line 80, in register
ConnectionError: Failed to connect to the discovery service ws://127.0.0.1:3333
2024-03-05 17:00:36,711 | Nucleus Auth 1.5.2
2024-03-05 17:00:36,712 | Serving static files on port 3180.
2024-03-05 17:00:36,720 | credentials.first_name – check.
2024-03-05 17:00:36,720 | credentials.last_name – check.
2024-03-05 17:00:36,721 | credentials.email – check.
2024-03-05 17:00:36,732 | credentials.admin – check.
2024-03-05 17:00:36,732 | credentials.nucleus_ro – check.
2024-03-05 17:00:36,732 | credentials.enabled – check.
2024-03-05 17:00:36,732 | credentials.readonly – check.
2024-03-05 17:00:36,733 | credentials.readonly – check.
2024-03-05 17:00:36,733 | credentials.provider ‘pseudo’ and ‘internal’ to ‘Internal’ – check.
2024-03-05 17:00:36,733 | credentials.activated – check.
2024-03-05 17:00:36,733 | refresh_tokens.expire_at-- check. 2024-03-05 17:00:36,734 |api_tokens.expire_at` – check.
2024-03-05 17:00:36,734 | Registering class ‘InternalCredentials’ that implements interface ‘Credentials’:
Method: get_settings
Method: auth
Method: register
Method: reset

2024-03-05 17:00:36,734 | Registering interface ‘SSO’:
Method: get_settings
Method: auth
Method: redirect

2024-03-05 17:00:36,734 | Registering the service in the discovery with these parameters:
Discovery URI: ws://127.0.0.1:3333
Transport settings: {‘name’: ‘sows’, ‘params’: ‘{“host”: “127.0.0.1”, “port”: 3100}’, ‘meta’: {‘marshaller’: ‘bs’, ‘serializer’: ‘json’, ‘ssl’: ‘false’}}
Meta: {‘deployment’: ‘internal’, ‘version’: ‘1.5.2’, ‘login_url’: ‘http://:3180’}
2024-03-05 17:00:36,734 | Registering the service in the discovery with these parameters:
Discovery URI: ws://127.0.0.1:3333
Transport settings: {‘name’: ‘sows’, ‘params’: ‘{“host”: “127.0.0.1”, “port”: 3100}’, ‘meta’: {‘marshaller’: ‘bs’, ‘serializer’: ‘json’, ‘ssl’: ‘false’}}
Meta: {‘deployment’: ‘external’, ‘version’: ‘1.5.2’, ‘login_url’: 'http://
:3180’}
2024-03-05 17:00:36,735 | Deleting expired refresh tokens…
2024-03-05 17:00:36,738 | Deleted 0 refresh tokens.
2024-03-05 17:00:36,738 | Deleting expired API tokens…
2024-03-05 17:00:36,738 | Registered in ws://127.0.0.1:3333 with {‘deployment’: ‘internal’, ‘version’: ‘1.5.2’, ‘login_url’: ‘http://:3180’} meta.
2024-03-05 17:00:36,739 | Registered in ws://127.0.0.1:3333 with {‘deployment’: ‘external’, ‘version’: ‘1.5.2’, ‘login_url’: 'http://
:3180’} meta.
2024-03-05 17:00:36,741 | Deleted 0 API tokens.
2024-03-05 17:00:36,774 | Registering interface ‘Profiles’:
Method: get_settings
Method: get_all
Method: get
Method: set_info
Method: set_enabled
Method: set_admin
Method: set_nucleus_ro
Method: add

2024-03-05 17:00:36,774 | Registering interface ‘Tokens’:
Method: generate
Method: refresh
Method: invalidate
Method: subscribe
Method: create_api_token
Method: delete_api_token
Method: get_api_tokens
Method: auth_with_api_token

2024-03-05 17:00:36,774 | Registering interface ‘UserStore’:
Method: get
Method: set
Method: remove

2024-03-05 17:00:36,774 | Registering interface ‘DeviceFlow’:
Method: authorize
Method: submit
Method: token

2024-03-05 17:00:36,774 | Listen.
2024-03-05 17:00:37,000 | > InternalCredentials.auth: {‘version’: 0, ‘username’: ‘search_service’}
2024-03-05 17:00:37,042 | < InternalCredentials.auth: {‘status’: ‘OK’, ‘username’: ‘search_service’, ‘version’: 2}
2024-03-05 17:00:41,759 | > InternalCredentials.auth: {‘version’: 0, ‘username’: ‘thumbnails_service’}
2024-03-05 17:00:41,779 | < InternalCredentials.auth: {‘status’: ‘OK’, ‘username’: ‘thumbnails_service’, ‘version’: 2}
2024-03-05 17:00:42,055 | > InternalCredentials.auth: {‘version’: 0, ‘username’: ‘search_service’}
2024-03-05 17:00:42,069 | < InternalCredentials.auth: {‘status’: ‘OK’, ‘username’: ‘search_service’, ‘version’: 2}
2024-03-05 17:00:43,717 | > InternalCredentials.auth: {‘version’: 1, ‘username’: ‘tags_service’}
2024-03-05 17:00:43,726 | < InternalCredentials.auth: {‘status’: ‘OK’, ‘username’: ‘tags_service’, ‘version’: 2}

I have no idea what the problem is, i’ve had a localhost server but wasn’t using it it looks like it is trying to log into that and than fails, but i cant get into the omniverse launcher anymore even if i try to do a clean reinstallation because that is not working as expected too (i have done a few reinstallation without any problems)

I just need to get back into the launcher to access the Isaac sim application. If you need any additional information i am happy to provide it.
launcher.log (1.9 MB)

Let’s start by getting your Launcher logs.

1 Like

I tried to do the authorization a couple of times and still had this issue. I decided to change my browser (eventhough i used that before and it worked) and this time with a new browser (chrome) the authentification worked just fine…
Thanks for your help

Great

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.